package com.zhentao.groups.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class GroupsVo<T> {



    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @TableId
    private Long groupId;

    /**
     * 群名称
     */
    private String name;

    /**
     * 创建者ID
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long creatorId;

    /**
     * 群头像
     */
    private String avatar;

    /**
     * 群公告
     */
    private String announcement;

    /**
     * 群描述
     */
    private String description;

    /**
     * 最大成员数
     */
    private Integer maxMembers;

    /**
     * 状态(0-解散,1-正常)
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createdAt;

    /**
     * 修改时间
     */
    private Date updatedAt;

    private List<UserVo> user;



}
