package com.zhentao.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zhentao.user.domain.UserLocation;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

import java.util.Date;

/**
* @author 31810
* @description 针对表【user_location(用户位置记录表)】的数据库操作Mapper
* @createDate 2025-06-18 15:27:28
* @Entity com.zhentao.user.domain.UserLocation
*/
public interface UserLocationMapper extends BaseMapper<UserLocation> {
    @Update("UPDATE user_location SET location = ST_GeomFromText(#{wktLocation}), update_time = #{updateTime} WHERE user_id = #{userId}")
    int updateByUserId(@Param("wktLocation") String wktLocation,@Param("updateTime")Date updateTime,@Param("userId") Long userId);
}




