package com.zhentao.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zhentao.user.domain.UserLocation;
import com.zhentao.user.dto.LocationDto;
import com.zhentao.vo.Result;

/**
* @author 31810
* @description 针对表【user_location(用户位置记录表)】的数据库操作Service
* @createDate 2025-06-18 15:27:28
*/
public interface UserLocationService extends IService<UserLocation> {

    Result updateUserLocation(LocationDto locationDto,String token);

    Result getNearbyUsers(LocationDto locationDto,String token);


}
