package com.zhentao.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zhentao.user.domain.UserOnlineStatus;

import javax.servlet.http.HttpServletRequest;

/**
* @author 31810
* @description 针对表【user_online_status(用户在线状态表)】的数据库操作Service
* @createDate 2025-06-18 15:27:28
*/
public interface UserOnlineStatusService extends IService<UserOnlineStatus> {

    void userGoOnline(Long id);

    void handleHeartbeat(HttpServletRequest request);

    void userGoOffline(Long id);
}
