package com.zhentao.groups.MongoDB.pojo;

import lombok.Data;
import java.util.Date;

@Data
public class Message {
    /**
     * 消息类型
     */
    private String type;

    /**
     * 发送者ID
     */
    private String fromUserId;

    /**
     * 接收者ID
     */
    private String toUserId;

    /**
     * 群ID（群聊消息时使用）
     */
    private Long groupId;

    /**
     * 消息内容
     */
    private String content;

    /**
     * 消息时间戳
     */
    private Long timestamp;

    /**
     * 消息创建时间
     */
    private String fileUrl;      // 文件访问URL
    private String fileName;     // 原始文件名
    private String fileType;     // 文件MIME类型
    private Long fileSize;       // 文件大小(字节)
    private String avatar;

}
