package com.zhentao.information.entity;

import lombok.Data;

/**
 * WebSocket消息实体类
 */
@Data
public class Message {
    private String type;  // 新增类型: image/video/file
    private String fromUserId;
    private String toUserId;
    private Long groupId;
    private String content;
    private Long timestamp;
    // 新增文件元数据字段
    private String fileUrl;      // 文件访问URL
    private String fileName;     // 原始文件名
    private String fileType;     // 文件MIME类型
    private Long fileSize;       // 文件大小(字节)
    private String avatar; // 新增：发送者头像

    public String getAvatar() {
        return avatar;
    }
    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }
}
