package com.zhentao.user.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class NearbyUserDTO {
    private Long userId;
    private String username;
    private String avatarUrl;
    private double distance;
    private String distanceUnit;
    private boolean online;
    private Location location;
    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    public static class Location {
        private double longitude;
        private double latitude;
        private boolean isMyself;
    }
}
